package cn.com.qmth.examcloud.core.oe.admin.api.controller.client;

import cn.com.qmth.examcloud.core.oe.admin.api.bean.ExamRecordDataDomain;
import cn.com.qmth.examcloud.core.oe.admin.dao.entity.ExamRecordPaperStructEntity;
import cn.com.qmth.examcloud.core.oe.admin.dao.entity.ExamRecordQuestionsEntity;
import cn.com.qmth.examcloud.core.oe.admin.service.bean.*;
import cn.com.qmth.examcloud.core.oe.admin.service.bean.examscore.ObjectiveScoreInfo;
import cn.com.qmth.examcloud.web.support.ControllerSupport;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import io.swagger.annotations.ApiParam;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;
import org.springframework.web.multipart.MultipartFile;

import java.util.ArrayList;
import java.util.List;

@Api(tags = "（客户端）考试过程相关接口")
@RestController
@RequestMapping("${$rmp.ctr.oe}/client/exam/process")
public class ExamProcessController extends ControllerSupport {

    @ApiOperation(value = "获取在线考试待考列表")
    @PostMapping("/queryExamList")
    public List<OnHandExamInfo> queryExamList() {
        return new ArrayList<>();
    }

    @ApiOperation(value = "获取在线考试已结束列表")
    @PostMapping("/queryExamEndList")
    public List<OnHandExamInfo> queryExamEndList() {
        return new ArrayList<>();
    }

    @ApiOperation(value = "获取在线作业待考列表")
    @PostMapping("/queryHomeworkList")
    public List<OnHandExamInfo> queryHomeworkList() {
        return new ArrayList<>();
    }

    @ApiOperation(value = "练习课程列表")
    @PostMapping("/queryPracticeCourseList")
    public List<PracticeCourseInfo> queryPracticeCourseList(@RequestParam Long examId) {
        return new ArrayList<>();
    }

    @ApiOperation(value = "课程练习记录详情")
    @PostMapping("/queryPracticeRecordList")
    public List<PracticeRecordInfo> queryPracticeRecordList(@RequestParam Long examStudentId) {
        return new ArrayList<>();
    }

    @ApiOperation(value = "单次练习答题情况统计")
    @PostMapping("/getPracticeDetailInfo")
    public PracticeDetailInfo getPracticeDetailInfo(@RequestParam Long examRecordDataId, @RequestParam(required = false) String fromCache) {
        return new PracticeDetailInfo();
    }

    @ApiOperation(value = "获取考试记录试卷结构")
    @PostMapping("/getExamRecordPaperStruct")
    public ExamRecordPaperStructEntity getExamRecordPaperStruct(@RequestParam Long examRecordDataId, @RequestParam(required = false) String fromCache) {
        return null;
    }

    @ApiOperation(value = "获取交卷之后的所有试题作答信息")
    @PostMapping("/getExamRecordQuestions")
    public ExamRecordQuestionsEntity getExamRecordQuestions(@RequestParam Long examRecordDataId, @RequestParam(required = false) String fromCache) {
        return null;
    }

    @ApiOperation(value = "获取当前考试记录信息")
    @PostMapping("/findExamRecordDataEntity")
    public ExamRecordDataDomain findExamRecordDataEntity(@RequestParam Long examRecordDataId, @RequestParam(required = false) String fromCache) {
        return null;
    }

    @ApiOperation(value = "根据examStudentId获取客观分信息")
    @PostMapping("/queryObjectiveScoreList")
    public List<ObjectiveScoreInfo> queryObjectiveScoreList(@RequestParam Long examStudentId) {
        return null;
    }

    @ApiOperation(value = "获取离线考试列表")
    @PostMapping("/getOfflineCourse")
    public List<OfflineExamCourseInfo> getOfflineCourse() {
        return null;
    }

    @ApiOperation(value = "离线考试:开始考试")
    @PostMapping("/startOfflineExam")
    public void startOfflineExam(@RequestParam long examStudentId) {

    }

    @ApiOperation(value = "离线考试:交卷")
    @PostMapping("/submitPaper")
    public void submitPaper(@RequestParam(value = "file") MultipartFile file,
                            @RequestParam long examRecordDataId) throws Exception {

    }

    @ApiOperation(value = "离线考试:多文件交卷")
    @PostMapping("/batchSubmitPaper")
    public void batchSubmitPaper(@ApiParam(value = "文件数组") @RequestParam MultipartFile[] fileArray,
                                 @ApiParam(value = "考试记录id") @RequestParam long examRecordDataId,
                                 @ApiParam(value = "文件类型:ZIP/PDF/IMAGE") @RequestParam String fileType,
                                 @ApiParam(value = "md5加密的文件摘要") @RequestParam String[] fileMd5Array) throws Exception {

    }

}
