/*
 * *************************************************
 * Copyright (c) 2018 QMTH. All Rights Reserved.
 * Created by Deason on 2018-08-27 16:21:30.
 * *************************************************
 */

package cn.com.qmth.examcloud.core.oe.admin.service.bean.examaudit;

import cn.com.qmth.examcloud.api.commons.exchange.JsonSerializable;
import cn.com.qmth.examcloud.support.excel.ExcelProperty;

/**
 * 监考已审信息
 *
 * @author: QMTH
 * @since: 2018/8/15
 */
public class ExamAuditInfo implements JsonSerializable {

    /**
     *
     */
    private static final long serialVersionUID = -7260035187571848686L;

    /**
     * 主键
     */
    private Long id;

    @ExcelProperty(name = "考试记录id", width = 30, index = 1)
    private Long examRecordDataId;

    /**
     * 审核状态
     */
    @ExcelProperty(name = "审核结果", width = 30, index = 13)
    private String status;

    /**
     * 违纪详情
     */
    private String disciplineDetail;

    @ExcelProperty(name = "审核说明", width = 30, index = 12)
    private String disciplineType;

    /**
     * 审核人姓名
     */
    @ExcelProperty(name = "审核人", width = 30, index = 14)
    private String auditUserName;

    /**
     * 考试ID
     */
    private Long examId;

    /**
     * 考试名称
     */
    private String examName;

    /**
     * 考试类型
     */
    private String examType;

    /**
     * 考生ID
     */
    private Long examStudentId;

    /**
     * 学生ID
     */
    private Long studentId;

    /**
     * 学号
     */
    @ExcelProperty(name = "学号", width = 30, index = 4)
    private String studentCode;

    /**
     * 学生姓名
     */
    @ExcelProperty(name = "姓名", width = 30, index = 2)
    private String studentName;

    /**
     * 身份证号
     */
    @ExcelProperty(name = "身份证号", width = 30, index = 3)
    private String identityNumber;

    /**
     * 课程ID
     */
    private Long courseId;

    /**
     * 课程Code
     */
    private String courseCode;

    /**
     * 课程名称
     */
    @ExcelProperty(name = "课程", width = 30, index = 5)
    private String courseName;

    /**
     * 课程层次
     */
    @ExcelProperty(name = "课程层次", width = 30, index = 6)
    private String courseLevel;

    /**
     * 学习中心ID
     */
    private Long orgId;

    /**
     * 学习中名称
     */
    private String orgName;

    /**
     * 是否异常数据
     */
    private Boolean isWarn;

    /**
     * 是否被审核过
     */
    private Boolean isAudit;

    /**
     * 是否违纪
     */
    private Boolean isIllegality;

    /**
     * 考试记录状态(考试中,考试结束,考试过期,考试作废)
     */
    private String examRecordStatus;

    /**
     * 考试时长
     */
    private Long usedExamTime;

    /**
     * 第几次考试
     */
    @ExcelProperty(name = "考试次数", width = 30, index = 11)
    private Integer examOrder;

    /**
     * 是否为重考
     */
    private Boolean isReexamine;

    /**
     * 是否断点续考
     */
    private Boolean isContinued;

    /**
     * 断点续考次数
     */
    private Integer continuedCount;

    /**
     * 抓拍比对成功次数
     */
    @ExcelProperty(name = "成功次数", width = 30, index = 8)
    private Integer faceSuccessCount;

    /**
     * 抓拍比对失败次数
     */
    private Integer faceFailedCount;

    /**
     * 抓拍存在陌生人的次数
     */
    @ExcelProperty(name = "陌生人记录", width = 30, index = 9)
    private Integer faceStrangerCount;

    /**
     * 抓拍比对总次数
     */
    @ExcelProperty(name = "校验次数", width = 30, index = 7)
    private Integer faceTotalCount;

    /**
     * 抓拍比对成功比率
     */
    @ExcelProperty(name = "人脸识别成功率（%）", width = 30, index = 10)
    private Double faceSuccessPercent;

    /**
     * 活体检测结果
     */
    private String faceVerifyResult;

    /**
     * 人脸五官坐标比对值
     */
    private Double faceLandmarkVal;

    /**
     * 客观题得分总分
     */
    private String objectiveScore;

    /**
     * 开考时间
     */
    private String paperStartTime;

    /**
     * 交卷时间
     */
    private String paperSubmitTime;

    /**
     * 审核时间
     */
    private String paperAuditTime;

    /**
     * Ip
     */
    private String ip;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public String getDisciplineDetail() {
        return disciplineDetail;
    }

    public void setDisciplineDetail(String disciplineDetail) {
        this.disciplineDetail = disciplineDetail;
    }

    public Long getExamId() {
        return examId;
    }

    public void setExamId(Long examId) {
        this.examId = examId;
    }

    public String getExamName() {
        return examName;
    }

    public void setExamName(String examName) {
        this.examName = examName;
    }

    public String getExamType() {
        return examType;
    }

    public void setExamType(String examType) {
        this.examType = examType;
    }

    public Long getExamStudentId() {
        return examStudentId;
    }

    public void setExamStudentId(Long examStudentId) {
        this.examStudentId = examStudentId;
    }

    public Long getStudentId() {
        return studentId;
    }

    public void setStudentId(Long studentId) {
        this.studentId = studentId;
    }

    public String getStudentCode() {
        return studentCode;
    }

    public void setStudentCode(String studentCode) {
        this.studentCode = studentCode;
    }

    public String getStudentName() {
        return studentName;
    }

    public void setStudentName(String studentName) {
        this.studentName = studentName;
    }

    public String getIdentityNumber() {
        return identityNumber;
    }

    public void setIdentityNumber(String identityNumber) {
        this.identityNumber = identityNumber;
    }

    public Long getCourseId() {
        return courseId;
    }

    public void setCourseId(Long courseId) {
        this.courseId = courseId;
    }

    public String getCourseCode() {
        return courseCode;
    }

    public void setCourseCode(String courseCode) {
        this.courseCode = courseCode;
    }

    public String getCourseName() {
        return courseName;
    }

    public void setCourseName(String courseName) {
        this.courseName = courseName;
    }

    public String getCourseLevel() {
        return courseLevel;
    }

    public void setCourseLevel(String courseLevel) {
        this.courseLevel = courseLevel;
    }

    public Long getOrgId() {
        return orgId;
    }

    public void setOrgId(Long orgId) {
        this.orgId = orgId;
    }

    public Boolean getWarn() {
        return isWarn;
    }

    public void setWarn(Boolean warn) {
        this.isWarn = warn;
    }

    public Boolean getAudit() {
        return isAudit;
    }

    public void setAudit(Boolean audit) {
        this.isAudit = audit;
    }

    public Boolean getIllegality() {
        return isIllegality;
    }

    public void setIllegality(Boolean illegality) {
        this.isIllegality = illegality;
    }

    public String getExamRecordStatus() {
        return examRecordStatus;
    }

    public void setExamRecordStatus(String examRecordStatus) {
        this.examRecordStatus = examRecordStatus;
    }

    public Long getUsedExamTime() {
        return usedExamTime;
    }

    public void setUsedExamTime(Long usedExamTime) {
        this.usedExamTime = usedExamTime;
    }

    public Integer getExamOrder() {
        return examOrder;
    }

    public void setExamOrder(Integer examOrder) {
        this.examOrder = examOrder;
    }

    public Boolean getReexamine() {
        return isReexamine;
    }

    public void setReexamine(Boolean reexamine) {
        this.isReexamine = reexamine;
    }

    public Boolean getContinued() {
        return isContinued;
    }

    public void setContinued(Boolean continued) {
        this.isContinued = continued;
    }

    public Integer getContinuedCount() {
        return continuedCount != null ? continuedCount : 0;
    }

    public void setContinuedCount(Integer continuedCount) {
        this.continuedCount = continuedCount;
    }

    public Integer getFaceSuccessCount() {
        return faceSuccessCount != null ? faceSuccessCount : 0;
    }

    public void setFaceSuccessCount(Integer faceSuccessCount) {
        this.faceSuccessCount = faceSuccessCount;
    }

    public Integer getFaceFailedCount() {
        return faceFailedCount != null ? faceFailedCount : 0;
    }

    public void setFaceFailedCount(Integer faceFailedCount) {
        this.faceFailedCount = faceFailedCount;
    }

    public Integer getFaceStrangerCount() {
        return faceStrangerCount != null ? faceStrangerCount : 0;
    }

    public void setFaceStrangerCount(Integer faceStrangerCount) {
        this.faceStrangerCount = faceStrangerCount;
    }

    public Integer getFaceTotalCount() {
        return faceTotalCount != null ? faceTotalCount : 0;
    }

    public void setFaceTotalCount(Integer faceTotalCount) {
        this.faceTotalCount = faceTotalCount;
    }

    public Double getFaceSuccessPercent() {
        return faceSuccessPercent != null ? faceSuccessPercent : 0d;
    }

    public void setFaceSuccessPercent(Double faceSuccessPercent) {
        this.faceSuccessPercent = faceSuccessPercent;
    }

    public String getFaceVerifyResult() {
        return faceVerifyResult;
    }

    public void setFaceVerifyResult(String faceVerifyResult) {
        this.faceVerifyResult = faceVerifyResult;
    }

    public Double getFaceLandmarkVal() {
        return faceLandmarkVal != null ? faceLandmarkVal : 0d;
    }

    public void setFaceLandmarkVal(Double faceLandmarkVal) {
        this.faceLandmarkVal = faceLandmarkVal;
    }

    public Long getExamRecordDataId() {
        return examRecordDataId;
    }

    public void setExamRecordDataId(Long examRecordDataId) {
        this.examRecordDataId = examRecordDataId;
    }

    public String getDisciplineType() {
        return disciplineType;
    }

    public void setDisciplineType(String disciplineType) {
        this.disciplineType = disciplineType;
    }

    public String getAuditUserName() {
        return auditUserName;
    }

    public void setAuditUserName(String auditUserName) {
        this.auditUserName = auditUserName;
    }

    public String getOrgName() {
        return orgName;
    }

    public void setOrgName(String orgName) {
        this.orgName = orgName;
    }

    public String getObjectiveScore() {
        return objectiveScore;
    }

    public void setObjectiveScore(String objectiveScore) {
        this.objectiveScore = objectiveScore;
    }

    public String getPaperStartTime() {
        return paperStartTime;
    }

    public void setPaperStartTime(String paperStartTime) {
        this.paperStartTime = paperStartTime;
    }

    public String getPaperSubmitTime() {
        return paperSubmitTime;
    }

    public void setPaperSubmitTime(String paperSubmitTime) {
        this.paperSubmitTime = paperSubmitTime;
    }

    public String getPaperAuditTime() {
        return paperAuditTime;
    }

    public void setPaperAuditTime(String paperAuditTime) {
        this.paperAuditTime = paperAuditTime;
    }

    public String getIp() {
        return ip;
    }

    public void setIp(String ip) {
        this.ip = ip;
    }

}
